import { Component, OnInit } from '@angular/core';
import { SsoService } from 'sso';
import { ModalService } from '@libs/ui';
import { NativeContainerService } from 'shared/lib/barcode-scanner';

@Component({
  selector: 'app-log-out',
  templateUrl: './log-out.component.html',
  styleUrls: ['./log-out.component.scss'],
})
export class LogOutComponent implements OnInit {
  id = 'logout-modal';
  constructor(private ssoService: SsoService, private modalService: ModalService, private nativeContainer: NativeContainerService) {}

  ngOnInit() {}

  logoff() {
    this.ssoService.logoff();
  }

  openDialog() {
    this.modalService.open(this.id);
  }

  closeModal() {
    this.modalService.close(this.id);
  }
}
